Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 273526 - games-board/hexxagon: fails to build with gcc-4.4
Summary: games-board/hexxagon: fails to build with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-06-10 10:56 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-08-13 15:12 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (hexxagon-1.0:20090610-072857.log,91.58 KB, text/plain)
2009-06-10 10:57 UTC, Diego Elio Pettenò (RETIRED)
Details
hexxagon-1.0-fix-build.patch (hexxagon-1.0-fix-build.patch,375 bytes, patch)
2009-06-10 13:16 UTC, Pacho Ramos
Details | Diff
Fixes several C++ issues that were causing errors with GCC 4.4 (hexxagon-1.0-real-fix.patch,3.73 KB, patch)
2009-08-12 20:51 UTC, vasuvi7
Details | Diff
Fixes it for 4.4 without causing errors for 4.3 and below anymore (hexxagon-1.0-fix-4.2-through-4.4.patch,4.09 KB, patch)
2009-08-13 15:11 UTC, vasuvi7
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-10 10:56:44 UTC
As per summary, check attached build log.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-10 10:57:19 UTC
Created attachment 194131 [details]
Build log
Comment 2 Pacho Ramos gentoo-dev 2009-06-10 13:16:22 UTC
Created attachment 194154 [details, diff]
hexxagon-1.0-fix-build.patch

Mandriva is applying this patch
Comment 3 Samuli Suominen gentoo-dev 2009-08-10 15:57:39 UTC
(In reply to comment #2)
> Created an attachment (id=194154) [edit]
> hexxagon-1.0-fix-build.patch
> 
> Mandriva is applying this patch
> 

Doesn't help. src/libhexx/bitboard64.h for example is missing stdio.h for printf, and there's more issues beyond these...
Comment 4 Samuli Suominen gentoo-dev 2009-08-12 20:32:57 UTC
Using commit message:
------------------------------------------------------------------------------
Fix building with GCC 4.4+ wrt #273226, thanks to vasuvi from #gentoo-kde for patch.
(Portage version: 2.2_rc38/cvs/Linux x86_64)
------------------------------------------------------------------------------
Comment 5 vasuvi7 2009-08-12 20:51:36 UTC
Created attachment 201078 [details, diff]
Fixes several C++ issues that were causing errors with GCC 4.4

This is a patch against the original source tarball with no other patches applied.
Comment 6 Samuli Suominen gentoo-dev 2009-08-13 08:23:01 UTC
(In reply to comment #5)
> Created an attachment (id=201078) [edit]
> Fixes several C++ issues that were causing errors with GCC 4.4
> 
> This is a patch against the original source tarball with no other patches
> applied.
> 

It works with GCC 4.4, but it doesn't anymore with GCC 4.3... Still got it installed?

move.h:33: error: redefinition of 'class libhexx::Move'
board.h:36: error: previous definition of 'class libhexx::Move'

Many files include both, move.h and board.h and seems the GCC isn't smart enough to handle the similar class Move?
Comment 7 vasuvi7 2009-08-13 15:11:35 UTC
Created attachment 201140 [details, diff]
Fixes it for 4.4 without causing errors for 4.3 and below anymore

Fix for my earlier fix, again a patch against the original source tarball